## bioperl 1.7.1

=== debian/changelog ===
bioperl (1.7.1-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Add debian/tests/pkg-perl/use-name to fix an autopkgtest failure
  * Add t/Perl.t and t/Species.t to debian/tests/pkg-perl/smoke-skip

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 08:50:21 +0100

bioperl (1.7.1-1) unstable; urgency=medium

  [ Charles Plessy ]
  * New upstream release.
    Closes: #846579
  * debian/patches deleted (applied upstream).
  * debian/docs: correct name of README file.
  * debian/control: Use secure VCS browser URL.

  [ Andreas Tille ]
  * d/watch: uversionmangle to get proper version number
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 22:05:08 +0100

bioperl (1.6.924-5) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-perl
  * Move packaging from SVN to Git

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2016 09:20:14 +0200

bioperl (1.6.924-4) unstable; urgency=medium

  * cme fix dpkg-control (Needed several manual postprocessing since cme
    has the habit to move comments to the end of a section)
  * Fix FTBFS with Perl 5.24 by applying upstream patch
    Closes: #825429
  * Remove unused paragraph in d/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jun 2016 08:50:03 +0200
