=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)\.0*([1-9]+)0*([1-9]*)/$1.$2.$3/" \
http://search.cpan.org/dist/BioPerl/   .*/BioPerl-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
