## bioperl 1.7.2

=== debian/changelog ===
bioperl (1.7.2-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules
  * Fix Perl interpreter path
  * Fix URL for source download

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 00:46:56 +0200

bioperl (1.7.2-2) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Fix autopkgtests. The smoke tests need a `perl Build.PL' beforehand.
    And we need some additional files for some tests. (Closes: #871727)
  * debian/control: move libmodule-build-perl to Build-Depends from Build-
    Depends-Indep. It is needed during clean.

  [ Andreas Tille ]
  * Standards-Version: 4.1.2
  * Secure URI in watch file

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Dec 2017 21:59:15 +0100

bioperl (1.7.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sun, 03 Dec 2017 18:55:57 +0100

bioperl (1.7.1-3) unstable; urgency=medium

  * Team upload

  [ Carnë Draug ]
  * Declare missing dependency on libtest-most-perl used by
    Bio::Root::Test

  [ Andreas Tille ]
  * Build-Depends: rename
    Closes: #873745
  * Standards-Version: 4.1.0 (no changes needed)

 -- Carnë Draug <carandraug+dev@gmail.com>  Wed, 30 Aug 2017 14:56:14 +0100
