=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Section: science
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11~),
+# Unnecessary according to lintian, but building with sbuild shows the contrary.
+               libmodule-build-perl (>= 0.420000) | perl (<< 5.19.0)
 Build-Depends-Indep: perl,
-# Unnecessary according to lintian, but building with sbuild shows the contrary.
-                     libmodule-build-perl (>= 0.420000),
+                     rename,
                      libio-string-perl,
                      libdata-stag-perl,
                      libtest-most-perl,
@@ -54,16 +55,17 @@
                      libwww-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/bioperl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bioperl.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/bioperl
+Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/
 
 Package: bioperl
 Architecture: all
 Depends: libbio-perl-perl (= ${source:Version}),
          ${misc:Depends},
-         ${perl:Depends}
+         ${perl:Depends},
+         libtest-most-perl
 Recommends: bioperl-run,
 # for the following see #650412
 # most of `binary -help` outputs
