=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(DEB_MAINTAINER_MODE))
NETWORK = --network
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(NETWORK)

override_dh_clean:
	dh_clean build-stamp install-stamp bioperl.conf biodatabases.pod \
	biodesign.pod bioperl.pod bioscripts.pod

override_dh_install:
	dh_install
	# prename is the rename utility written in perl usually available as /usr/bin/rename in Debian.
	prename s/.pl$$// debian/bioperl/usr/bin/*pl
	prename s/.pl.1p$$/.1p/ debian/bioperl/usr/share/man/man1/*1p
	chmod 644 debian/libbio-perl-perl/usr/share/perl5/Bio/DB/HIV/lanl-schema.xml

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installexamples:
	dh_installexamples examples/*
	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done
