## bioperl 1.7.4

=== debian/changelog ===
bioperl (1.7.4-1) unstable; urgency=medium

  * New upstream version
  * Drop broken uversionmangle from watch file
  * debhelper 12
  * Standards-Version: 4.3.0
  * Build-Depends: libyaml-perl, libtest-requiresinternet-perl
  * Drop manual renaming and permission fixes which are not needed
    any more
  * More fixes to Perl path in examples

 -- Andreas Tille <tille@debian.org>  Tue, 05 Feb 2019 22:17:53 +0100
