=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Section: science
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
-               libmodule-build-perl (>= 0.420000) | perl (<< 5.19.0)
+               libmodule-build-perl (>= 0.420000)
 Build-Depends-Indep: perl,
                      rename,
                      libio-string-perl,
@@ -21,7 +21,7 @@
                      libarray-compare-perl,
                      libbio-asn1-entrezgene-perl,
                      libbio-samtools-perl,
-                     libcgi-pm-perl | perl (<< 5.19),
+                     libcgi-pm-perl,
                      libclone-perl,
                      libconvert-binary-c-perl,
                      libdbd-sqlite3-perl,
@@ -53,9 +53,11 @@
                      libxml-writer-perl,
                      libxml-libxml-perl,
                      libwww-perl,
+                     libyaml-perl,
+                     libtest-requiresinternet-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/bioperl
 Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/
