## bioperl 1.7.7

=== debian/changelog ===
bioperl (1.7.7-2) unstable; urgency=medium

  * Prepared patch to parse current feature table layout
  * d/control: updated standard to 4.5, added R-R-R: no

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Oct 2020 18:49:40 +0100

bioperl (1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Dec 2019 22:48:17 +0100

bioperl (1.7.6-3) unstable; urgency=medium

  * Team upload.
  * Really fix the breaks+replaces for libbio-perl-run-perl (Closes: #921495)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 28 Nov 2019 13:06:59 +0100

bioperl (1.7.6-2) unstable; urgency=medium

  * Team upload.
  * Add breaks: roary <= 3.12.0+dfsg-2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 27 Nov 2019 11:48:16 +0100

bioperl (1.7.6-1) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests:
      Don't run the `use.t` autopkgtest, there is no longer a Bio::Perl module
      scripts/ → bin/
      No Build.PL anymore, skip it
  * Add missing colon in closes line.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * New upstream release.
  * No longer conflicts with libbio-perl-run-perl (Closes: #921495)
  * Fixed some spelling typos

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 26 Nov 2019 11:22:39 +0100

bioperl (1.7.5-1) unstable; urgency=medium

  * New upstream version
  * Packaged with routine-update script
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jul 2019 17:55:00 +0200
