=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Section: science
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
-               libmodule-build-perl (>= 0.420000)
+               libmodule-build-perl
 Build-Depends-Indep: perl,
                      rename,
                      libio-string-perl,
@@ -21,6 +21,7 @@
                      libarray-compare-perl,
                      libbio-asn1-entrezgene-perl,
                      libbio-samtools-perl,
+                     libclass-unload-perl,
                      libcgi-pm-perl,
                      libclone-perl,
                      libconvert-binary-c-perl,
@@ -33,6 +34,8 @@
                      libhtml-parser-perl,
                      libhtml-tableextract-perl,
                      liblist-moreutils-perl,
+                     libpath-class-perl,
+                     libperlio-eol-perl,
                      libpostscript-perl,
                      libset-scalar-perl,
                      libsoap-lite-perl,
@@ -42,7 +45,9 @@
                      libstorable-perl,
                      libsvg-perl,
                      libsvg-graph-perl,
+                     libtest-memory-cycle-perl,
                      libtest-pod-perl,
+                     libtest-weaken-perl,
                      liburi-perl,
                      libxml-dom-xpath-perl,
                      libxml-parser-perl,
@@ -57,10 +62,11 @@
                      libtest-requiresinternet-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/bioperl
 Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/
+Rules-Requires-Root: no
 
 Package: bioperl
 Architecture: all
@@ -141,6 +147,8 @@
          ${misc:Depends},
          ${perl:Depends}
 # Temporary workaround as bioperl-run has not been split
+Breaks: libbio-perl-run-perl (<< 1.7.3), roary (<<3.13)
+Replaces: libbio-perl-run-perl (<< 1.7.3)
 Recommends: bioperl-run | libbio-perl-run-perl,
 # Recommended in Build.PL
             libace-perl,
@@ -180,8 +188,6 @@
 Suggests: bioperl,
           libxml-sax-expatxs-perl
 # Needed to avoid downloading DTDs.
-Breaks: grinder (<< 0.5.3-3~)
-Replaces: grinder (<< 0.5.3-3~)
 Description: BioPerl core perl modules
  BioPerl is a toolkit of perl modules useful in building bioinformatics
  solutions in Perl. It is built in an object-oriented manner so that many
