## bioperl 1.7.8

=== debian/changelog ===
bioperl (1.7.8-2) unstable; urgency=medium

  * Team upload.
  * Fix warnings with Perl 5.42.
    Add two patches from upstream Git, and a new one for precedence issues.
    (Closes: #1113735)
  * Replace override_dh_clean in d/rules with d/clean.
  * debian/rules: remove unneeded override_dh_installchangelogs.
  * debian/watch: use uscan macros.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Sep 2025 18:13:25 +0200

bioperl (1.7.8-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.7.8
  * Remove d/p/FTlineParsingHickups.patch: merged upstream
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:26:03 +0530
