=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-perl
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
                libmodule-build-perl
 Build-Depends-Indep: perl,
@@ -62,11 +61,10 @@
                      libtest-requiresinternet-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bioperl
 Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/
-Rules-Requires-Root: no
 
 Package: bioperl
 Architecture: all
