=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(DEB_MAINTAINER_MODE))
NETWORK = --network
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(NETWORK)

override_dh_installexamples:
	dh_installexamples examples/*
	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done
	for pl in `grep -Rl '#![[:space:]]*/usr/local/bin/perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/local/bin/[[:space:]]*perl?#!/usr/bin/perl?' $${pl} ; \
	done
