=== debian/watch ===
version=4

https://metacpan.org/release/BioPerl   .*/BioPerl-v?@ANY_VERSION@@ARCHIVE_EXT@$
