=== perl/DB_File-1.838/Makefile ===
--- 
+++ 
@@ -48,13 +48,13 @@
 EXE_EXT = 
 FULL_AR = /usr/bin/ar
 LD = cc
-LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector
-LDFLAGS =  -fstack-protector -L/usr/local/lib
-LIBC = libc-2.15.so
+LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector-strong
+LDFLAGS =  -fstack-protector-strong -L/usr/local/lib
+LIBC = libc-2.23.so
 LIB_EXT = .a
 OBJ_EXT = .o
 OSNAME = linux
-OSVERS = 3.2.0-113-virtual
+OSVERS = 4.4.0-45-generic
 RANLIB = :
 SITELIBEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
 SITEARCHEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
@@ -295,13 +295,13 @@
 
 
 # --- MakeMaker depend section:
+version$(OBJ_EXT) : version.c
 Makefile : config.in
-version$(OBJ_EXT) : version.c
 
 
 # --- MakeMaker cflags section:
 
-CCFLAGS = -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+CCFLAGS = -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 OPTIMIZE = -O2
 PERLTYPE = 
 MPOLLUTE =
